Update an Environment
curl --request PATCH \
--url https://api.honeycomb.io/2/teams/{teamSlug}/environments/{ID} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "environments",
"attributes": {
"description": "<string>",
"settings": {
"delete_protected": true
}
}
}
}
'import requests
url = "https://api.honeycomb.io/2/teams/{teamSlug}/environments/{ID}"
payload = { "data": {
"id": "<string>",
"type": "environments",
"attributes": {
"description": "<string>",
"settings": { "delete_protected": True }
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'environments',
attributes: {description: '<string>', settings: {delete_protected: true}}
}
})
};
fetch('https://api.honeycomb.io/2/teams/{teamSlug}/environments/{ID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "environments",
"links": {
"self": "<string>"
},
"attributes": {
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"settings": {
"delete_protected": true
}
}
}
}{
"status": 400,
"type": "https://api.honeycomb.io/problems/unparseable",
"title": "The request body could not be parsed.",
"error": "invalid gzip data"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"status": 413,
"type": "https://api.honeycomb.io/problems/payload-too-large",
"title": "Request body is too large.",
"error": "Body size is larger than maximum size of 100000 bytes"
}{
"errors": [
{
"id": "<string>",
"code": "<string>",
"status": "<string>",
"title": "<string>",
"detail": "<string>",
"source": {
"pointer": "<string>",
"header": "<string>",
"parameter": "<string>"
}
}
]
}{
"error": "something went wrong!",
"status": 422,
"type": "https://api.honeycomb.io/problems/validation-failed",
"title": "The provided input is invalid.",
"detail": "<string>",
"instance": "<string>",
"type_detail": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"error": "Rate Limited"
}{
"error": "something went wrong!",
"status": 123,
"type": "<string>",
"title": "<string>",
"detail": "<string>",
"instance": "<string>"
}Update an Environment
PATCH
/
2
/
teams
/
{teamSlug}
/
environments
/
{ID}
Update an Environment
Authorizations
Authenticate using a Honeycomb Management Key.
Pass the Management Key as a Bearer token in the Authorization header:
Authorization: Bearer hcxmk_12345678901234567890123456:12345678901234567890123456789012
Construct the key value by joining the Key ID and Secret with a colon (:).
To learn how to create a Management Key, visit Manage Team API Keys. To learn more about authenticating requests, visit API Authentication.
Body
application/vnd.api+json
Show child attributes
Show child attributes
Response
Success
Show child attributes
Show child attributes
⌘I